
*The BHPS consists of a set of seperate waves. We only provide the four waves we need for this study. 
*THe full BHPS dataset can be downloaded - once singed up - from the website of the UK Data Archive.
*save the four data files and the .do file in a folder. Where ... are listed, you should type the directory where you saved the files

*******************************************************
*
*1. Select the variables necessary in this study from the four waves
*
*******************************************************

*******************************************************
*wave 2005
*******************************************************
*The variables used for wave 2005, 2006, 2007 and 2008 were selected from the British Houehold Panel
*specific BHPS files were:
*2005: oindresp.dta
*2006: pindresp.dta
*2007: qindresp.dta
*2008: rindresp.dta
*Files can be download from the UK Data Archive

*save datasets 2005.dta, 2006.dta, 2007.dta and 2008.dta in a folder

*******************************************************
*
*2. merge datasets into one file
*
*******************************************************

use "...\Study 2 UK\2005.dta" 
sort pid
save "...\British_mothercopy.dta", replace

merge 1:1 pid using "...\Study 2 UK\2006.dta"
sort pid
drop _merge
merge 1:1 pid using "...\Study 2 UK\2007.dta"
sort pid
drop _merge
merge 1:1 pid using "...\Study 2 UK\2008.dta"
sort pid
drop _merge
save "...\Study 2 UK\British_mothercopy.dta", replace
 
*******************************************************
*
*3. Drop cases from Wales, Scotland and Northern Ireland
*
*******************************************************

*******************************************************
*wave 2005
*******************************************************
*Wales
drop if oregion==17
*scotland
drop if oregion==18
*northern ireland
drop if oregion==19
*Missing
recode oregion (-9=.)
ta oregion

*******************************************************
*wave 2006
*******************************************************
drop if pregion==17
*scotland
drop if pregion==18
*northern ireland
drop if pregion==19
*Missing
recode pregion (-9=.)

*******************************************************
*wave 2007
*******************************************************
drop if qregion==17
*scotland
drop if qregion==18
*northern ireland
drop if qregion==19
*Missing
recode qregion (-9=.)

*******************************************************
*wave 2008
*******************************************************
drop if rregion==17
*scotland
drop if rregion==18
*northern ireland
drop if rregion==19
*Missing
recode rregion (-9=.)

*******************************************************
*
*Coding of variables of interest
*
*******************************************************

*******************************************************
*2005 create vote Party Preference Variable
*******************************************************
gen votechoice=.
replace votechoice=1 if ovote4==1 | ovote3==1
replace votechoice=2 if ovote4==2 | ovote3==2
replace votechoice=3 if ovote4==3 | ovote3==3
replace votechoice=4 if ovote4==4 | ovote3==4
replace votechoice=5 if ovote4==5 | ovote3==5
replace votechoice=6 if ovote4==6 | ovote3==6
replace votechoice=7 if ovote4==7 | ovote3==7
replace votechoice=8 if ovote4==8 | ovote4==10 | ovote3==8 | ovote3==10
label define votechoice 1 "conservative" ///
						2 "labour" ///
						3 "lid dem" ///
						4 "scot nat" ///
						5 "plaid cymru" ///
						6 "green party" ///
						7 "other party" ///
						8 "none" 
rename votechoice v05_votechoice
ta v05_votechoice

****************************************************
*2006 create Party Preference Variable
****************************************************
gen v06_votechoice=.
replace v06_votechoice=1 if pvote4==1 | pvote3==1
replace v06_votechoice=2 if pvote4==2 | pvote3==2
replace v06_votechoice=3 if pvote4==3 | pvote3==3
replace v06_votechoice=4 if pvote4==4 | pvote3==4
replace v06_votechoice=5 if pvote4==5 | pvote3==5
replace v06_votechoice=6 if pvote4==6 | pvote3==6
replace v06_votechoice=7 if pvote4==7 | pvote3==7
replace v06_votechoice=8 if pvote4==8 | pvote4==10 | pvote3==8 | pvote3==10
label define v06_votechoice 1 "conservative" ///
						2 "labour" ///
						3 "lid dem" ///
						4 "scot nat" ///
						5 "plaid cymru" ///
						6 "green party" ///
						7 "other party" ///
						8 "none"
ta v06_votechoice

****************************************************
*2007 create Party Preference Variable
****************************************************
gen v07_votechoice=.
replace v07_votechoice=1 if qvote4==1 | qvote3==1
replace v07_votechoice=2 if qvote4==2 | qvote3==2
replace v07_votechoice=3 if qvote4==3 | qvote3==3
replace v07_votechoice=4 if qvote4==4 | qvote3==4
replace v07_votechoice=5 if qvote4==5 | qvote3==5
replace v07_votechoice=6 if qvote4==6 | qvote3==6
replace v07_votechoice=7 if qvote4==7 | qvote3==7
replace v07_votechoice=8 if qvote4==8 | qvote4==10 | qvote3==8 | qvote3==10
label define v07_votechoice 1 "conservative" ///
						2 "labour" ///
						3 "lid dem" ///
						4 "scot nat" ///
						5 "plaid cymru" ///
						6 "green party" ///
						7 "other party" ///
						8 "none" //
ta v07_votechoice

****************************************************
*2008 create Party Preference Variable
****************************************************
gen v08_votechoice=.
replace v08_votechoice=1 if rvote4==1 | rvote3==1
replace v08_votechoice=2 if rvote4==2 | rvote3==2
replace v08_votechoice=3 if rvote4==3 | rvote3==3
replace v08_votechoice=4 if rvote4==4 | rvote3==4
replace v08_votechoice=5 if rvote4==5 | rvote3==5
replace v08_votechoice=6 if rvote4==6 | rvote3==6
replace v08_votechoice=7 if rvote4==7 | rvote3==7
replace v08_votechoice=8 if rvote4==8 | rvote4==10 | rvote3==8 | rvote3==10
label define v08_votechoice 1 "conservative" ///
						2 "labour" ///
						3 "lid dem" ///
						4 "scot nat" ///
						5 "plaid cymru" ///
						6 "green party" ///
						7 "other party" ///
						8 "none" 
ta v08_votechoice

*******************************************************
*
*Create change in party preference variables
*
*******************************************************

*******************************************************
*make change variable 05 06
*******************************************************
gen v0506_changevote=.
replace v0506_changevote=0 if v05_votechoice==v06_votechoice
replace v0506_changevote=1 if v05_votechoice!=v06_votechoice
replace v0506_changevote=. if v05_votechoice==. | v06_votechoice==.
ta v0506_changevote

*******************************************************
*make change variable 06 07
*******************************************************
gen v0607_changevote=.
replace v0607_changevote=0 if v06_votechoice==v07_votechoice
replace v0607_changevote=1 if v06_votechoice!=v07_votechoice
replace v0607_changevote=. if v06_votechoice==. | v07_votechoice==.
ta v0607_changevote

*******************************************************
*make change variable 07 08
*******************************************************
gen v0708_changevote=.
replace v0708_changevote=0 if v07_votechoice==v08_votechoice
replace v0708_changevote=1 if v07_votechoice!=v08_votechoice
replace v0708_changevote=. if v07_votechoice==. | v08_votechoice==.
ta v0708_changevote

*******************************************************
*Dependent variable: summary variable of the count of changes
*******************************************************
gen count_change = v0506_changevote + v0607_changevote + v0708_changevote
ta count_change

*******************************************************
*
*Create Big Five varialbes 
*
*******************************************************

*******************************************************
*Openness to Experience(measured in 2005)
*******************************************************
*Set missing variables to .
recode optrt5o1 optrt5o2 optrt5o3 (-9=.) (-7=.) (-1=.) 
*Inter-item correlation
pwcorr optrt5o1 optrt5o2 optrt5o3
*Generate openness variable
gen open = optrt5o1 + optrt5o2 + optrt5o3
replace open = ((open-3)/18)
su open 

*******************************************************
*Conscientiousness (measured in 2005)
*******************************************************
*Set missing variables to .
recode optrt5c1 optrt5c2 optrt5c3 (-9=.) (-7=.) (-1=.) 
*Recode reversed coded item
replace optrt5c2 = 8-optrt5c2
*Inter-item correlation
pwcorr optrt5c1 optrt5c2 optrt5c3, sig
*Generate Conscientiousness scale
gen con = optrt5c1 + optrt5c2 + optrt5c3
replace con = ((con-3)/18)
su con 

*******************************************************
*Extraversion (measured in 2005)
*******************************************************
*Set missing variables to .
recode optrt5e1 optrt5e2 optrt5e3 (-9=.) (-7=.) (-1=.) 
*Recode reversed coded item
replace optrt5e3 = 8-optrt5e3
*Inter-item correlation
pwcorr optrt5e1 optrt5e2 optrt5e3, sig
*Generate Extraversion scale
gen ext = optrt5e1 + optrt5e2 + optrt5e3
replace ext = ((ext-3)/18)
su ext 

*******************************************************
*Agreeableness (measured in 2005)
*******************************************************
*Set missing variables to .
recode optrt5a1 optrt5a2 optrt5a3 (-9=.) (-7=.) (-1=.) 
*Recode reversed coded item
replace optrt5a1 = 8-optrt5a1
*Inter-item correlation
pwcorr optrt5a1 optrt5a2 optrt5a3, sig
*Generate Agreeableness scale
gen agre = optrt5a1 + optrt5a2 + optrt5a3
replace agre = ((agre-3)/18)
su agre 

*******************************************************
*Neuroticism (measured in 2005)
*******************************************************
*Set missing variables to .
recode optrt5n1 optrt5n2 optrt5n3 (-9=.) (-7=.) (-1=.) 
*Recode reversed coded item
replace optrt5n3 = 8-optrt5n3
*Inter-item correlation
pwcorr optrt5n1 optrt5n2 optrt5n3
*Generate Neuroticism scale
gen neu = optrt5n1 + optrt5n2 + optrt5n3
replace neu = ((neu-3)/18)
su neu 

*******************************************************
*
*Create covariates
*
*******************************************************

*******************************************************
*Political interest (measured in 2005)
*******************************************************
gen interest05 = ovote6
recode interest05 (-9 -7 -2=.) (1=4) (2=3) (3=2) (4=1)
replace interest05 = (interest05-1)/3
ta interest05

*******************************************************
*efficacy (measured in 2006)
*******************************************************
*Set missing values to .
recode poppola poppolb (-9 -7 -1=.)
*Recode reversed coded item
replace poppolb = 6-poppolb
*Inter-item correlation
pwcorr  poppola poppolb 
*Create Efficacy scale 
gen v05_efficacy = poppola + poppolb 
replace v05_efficacy = (v05_efficacy-2)/8
*recode to range from low to high efficacy
replace v05_efficacy = 1-v05_efficacy
su v05_efficacy

*******************************************************
*Political ideology (measured in 2007 - 2008)
*******************************************************
*item 1
ta ropfamr
gen homo = ropfamr
*item 2
ta ropnatb 
ge patriot = ropnatb
*item 3
ta qopsoce
gen eco= qopsoce

*Set missing to .
recode homo patriot  eco (-9 -7 -1 = .)
*Create ideology dimension
ge glideology = homo + patriot + eco 
*reocde to range from 0-1
replace glideology = (glideology-3)/12

*******************************************************
*Education (measured in 2005)
*******************************************************
ta oqfachi
gen v05_education = oqfachi
recode v05_education (-9 -7 =.)
recode v05_education (6 5=1) (4=2) (3=3) (2=4) (1=5) (7=6)

label define  v05_education     1 "CSE O-level" 				///
								2 "A level" 					///
								3 "Vocational Education"		///
								4 "Undergraduate "				///	
								5 "Master or equivalent"		///	
								6 "Other"	
ta v05_education

*******************************************************
*Age (measured in 2005)
*******************************************************
gen v05_age = oage12
*drop those under 18 at time of the survey
recode v05_age (15 16 17 =.)
*create age variable ranging from 0 to 1
replace v05_age = ((v05_age-18)/81)

*******************************************************
*Sex
*******************************************************
ta ohgsex
gen sex = ohgsex
recode sex (2=1) (1=0)
ta sex

*******************************************************
*income (measured in 2005)
*******************************************************
gen v05_income = ofihhmn
*set missing to .
recode v05_income (-9=.)
*restrict data to those who have reported their vote choice
replace v05_income=. if count_change==.
*recode income to range from 0-1
replace v05_income = (v05_income/20467.28)

******************************************************
*Create variable measuring the strength of partisanship
******************************************************

*2005
ta ovote1
ta ovote5
gen part05=ovote1
recode part05 (-9=.) (-7=.) (-2=.) (-1=.) (2=0)
ta part05

gen temp1=ovote5
recode temp1 (-9=.) (-8=.) (-7=.) (-1=.) (3=1) (1=3)
replace part05=part05*temp1
drop temp1
ta part05

*2006
ta pvote1
ta pvote5
gen part06=pvote1
recode part06 (-9=.) (-7=.) (-2=.) (-1=.) (2=0)
gen temp1=pvote5
recode temp1 (-9=.) (-8=.) (-7=.) (-1=.) (3=1) (1=3)
replace part06=part06*temp1
drop temp1
ta part06

*2007
ta qvote1
ta qvote5
gen part07=qvote1
recode part07 (-9=.) (-7=.) (-2=.) (-1=.) (2=0)
gen temp1=qvote5
recode temp1 (-9=.) (-8=.) (-7=.) (-1=.) (3=1) (1=3)
replace part07=part07*temp1
drop temp1
ta part07

*2008
ta rvote1
ta rvote5
gen part08=rvote1
recode part08 (-9=.) (-7=.) (-2=.) (-1=.) (2=0)
gen temp1=rvote5
recode temp1 (-9=.) (-8=.) (-7=.) (-1=.) (3=1) (1=3)
ta temp1
replace part08=part08*temp1
drop temp1
ta part08

*generate a count variable
gen count_partisan= (part05 + part06 + part07 + part08)
replace count_partisan = (count_partisan/12)
ta count_partisan

**************************************************************
*1. save dataset after coding
*2. continue to Bakker_etal_PP_study2_analyses.do to replicate analyses reported in maintext and supplementary files.
**************************************************************
save "...\Study 2 UK\British_mothercopy.dta", replace
